*** NOTE 1: ALL CODES AND COMMENTS IN THIS FILE REFER TO THE PUBLICLY AVAILABLE "DERIVATION DATASET" (PI = JACKIE WHITE) 
      USED BY SWARTOUT AND COLLEAGUES FOR THEIR JAMA PEDIATRICS PAPER.

*** NOTE 2: The FIRST collection of code below was used by Swartout, for analyses on dichotomous (yes/no) rape variables; the SECOND group
      of code was used by me (Jim Hopper) to create, and run simple frequency analyses on, variables that were conservative estimates of the numbers 
     of rapes (and attempted rapes) that participants reported committing during each assessment period. 


*** Below is the code sent by Swartout, on which he based his dichotomous rape (R) variables for the JAMA Pediatrics paper, variables that 
      were themselves derived from the dichotomous (yes/no) variables contained in the COMPUTE-IF statements below – AGAIN, THIS CODE 
      WAS NOT USED FOR MY ANALYSES, FOR THE REASONS EXPLAINED BELOW.
*** See also Allison Tracy's technical report, section "Reconstruction of Analysis Variables in the Original Data" (and Appendix J), for detailed 
      presentation of problems with the authors’ use of this derivation/coding for the rape variables used in their analyses.

***NO SEXUAL EXPERIENCE.
IF (CONSENT EQ 1 AND PRESSSP EQ 1 AND AUTHSP EQ 1 AND FORCESP EQ 1 AND
ATTEMPT EQ 1 AND DRUGATT EQ 1 AND PRESSSI EQ 1 AND AUTHSI EQ 1 AND
DRUGSI EQ 1 AND FORCESI EQ 1 AND SEXACTS EQ 1) EXPGRP = 1.

***CONSENSUAL SEXUAL CONTACT.
IF (CONSENT EQ 2 AND PRESSSP EQ 1 AND AUTHSP EQ 1 AND FORCESP EQ 1 AND
ATTEMPT EQ 1 AND DRUGATT EQ 1 AND PRESSSI EQ 1 AND AUTHSI EQ 1 AND
DRUGSI EQ 1 AND FORCESI EQ 1 AND SEXACTS EQ 1) EXPGRP = 2.

***UNWANTED SEXUAL CONTACT.
IF ((PRESSSP EQ 2 OR AUTHSP EQ 2 OR FORCESP EQ 2) AND
ATTEMPT EQ 1 AND DRUGATT EQ 1 AND PRESSSI EQ 1 AND AUTHSI EQ 1 AND
DRUGSI EQ 1 AND FORCESI EQ 1 AND SEXACTS EQ 1) EXPGRP = 3.

***COERCIVE SEXUAL CONTACT.
IF ((PRESSSI EQ 2 OR AUTHSI EQ 2) AND DRUGSI EQ 1 AND FORCESI EQ 1 AND
SEXACTS EQ 1) EXPGRP = 4.

***SEXUAL ABUSE VICTIM.
IF ((ATTEMPT EQ 2 OR DRUGATT EQ 2) AND PRESSSI EQ 1 AND AUTHSI EQ 1 AND
DRUGSI EQ 1 AND FORCESI EQ 1 AND SEXACTS EQ 1) EXPGRP = 5.

**SEXUAL ASSAULT VICTIM.
IF (DRUGSI EQ 2 OR FORCESI EQ 2 OR SEXACTS EQ 2) EXPGRP = 6.

***RAPE.
IF (DRUGSI EQ 1 OR FORCESI EQ 1 OR SEXACTS EQ 1) R1 = 0.
IF (DRUGSI GE 2 OR FORCESI GE 2 OR SEXACTS GE 2) R1 = 1.


Value Labels
  EXPGRP 
        1 'No sexual experience' 
        2 'Consensual sexual contact'
        3 'Unwanted sexual contact'
        4 'Coercive sexual contact'
        5 'Sexual abuse'
        6 'Sexual assault/
   R1
        1 'Not rapist'
        2 'Rapist'.




*** THE FOLLOWING CODE WAS USED TO CREATE THE VARIABLES USED IN THE SIMPLE FREQUENCY ANALYSES ON THE
      ‘DERIVATION DATASET’ PRESENTED IN MY POWERPOINT SLIDES.

*** IMPORTANT: All of the code below is based on the X______ variables in the public database, not the dichotomous (yes/no) variables 
      that Swartout used (see above); critically, the X________ variables contain the ACTUAL FREQUENCY DATA on the numbers of rapes 
      (and attempted rapes) that each participant reported committing during each assessment period.

*** The commands for the simple frequency analyses that I conducted (see my presentation) are included as well.


*** Estimated number of acts of perpetration for Penile-Vaginal Rape (XFORCESI), Other Rape (XSEXACTS) and Drug/Alcohol-Related 
      Rape (XDRUGSI), for each time period, and for single vs serial perpetrators.

** First create numeric values, CONSERVATIVELY estimating "three to five times" as 3 and "more than five times" as 6 (see page 512 of 
    the PDF of Codebook for Male Data, although the variables are incorrectly named in the codebook, because these variables refer to acts 
    of perpetration by men against women, not sexual acts perpetrated on them by other men; this was confirmed by Jackie White).
Recode XFORCESI (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XFORCESI_NUM.
Recode XFORCSI2 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6)  into XFORCSI2_NUM.
Recode XFORCSI3 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XFORCSI3_NUM.
Recode XFORCSI4 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XFORCSI4_NUM.

** Then get frequencies for these estimated raw number variables.
FREQUENCIES
	/VARIABLES=  XFORCESI_NUM XFORCSI2_NUM XFORCSI3_NUM XFORCSI4_NUM
	/FORMAT=AVALUE TABLE.

** Again, first create numeric values, CONSERVATIVELY estimating "three to five times" as 3 and "more than five times" as 6.
Recode XSEXACTS (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XSEXACTS_NUM.
Recode XSEXACT2 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6)  into XSEXACT2_NUM.
Recode XSEXACT3 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XSEXACT3_NUM.
Recode XSEXACT4 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XSEXACT4_NUM.
Recode XSEXACT5 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XSEXACT5_NUM.

** Again, first create numeric values, CONSERVATIVELY estimating "three to five times" as 3 and "more than five times" as 6.
Recode XDRUGSI (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI_NUM.
Recode XDRUGSI2 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6)  into XDRUGSI2_NUM.
Recode XDRUGSI3 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI3_NUM.
Recode XDRUGSI4 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI4_NUM.
Recode XDRUGSI5 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI5_NUM.

** Then get frequencies for these estimated raw number variables.
FREQUENCIES
	/VARIABLES=  XSEXACTS_NUM XSEXACT2_NUM XSEXACT3_NUM XSEXACT4_NUM
	/FORMAT=AVALUE TABLE.
FREQUENCIES
	/VARIABLES=  XDRUGSI_NUM XDRUGSI2_NUM XDRUGSI3_NUM XDRUGSI4_NUM
	/FORMAT=AVALUE TABLE.


*** Creating and naming variables for total attempted plus completed Penile-Vaginal Rapes.
NUMERIC XATTEMPT_NUM.
NUMERIC XATTEMP2_NUM.
NUMERIC XATTEMP3_NUM.
NUMERIC XATTEMP4_NUM.
NUMERIC VAGINAL_PENILE_ATT_COMPL.
NUMERIC VAGINAL_PENILE_ATT_COMPL2.
NUMERIC VAGINAL_PENILE_ATT_COMPL3.
NUMERIC VAGINAL_PENILE_ATT_COMPL4.
VARIABLE LABEL XATTEMPT_NUM 'Total Estimated Pre-College Attempted Vaginal-Penile Rapes'.
VARIABLE LABEL XATTEMP2_NUM 'Total Estimated Freshman Attempted Vaginal-Penile Rapes'.
VARIABLE LABEL XATTEMP3_NUM 'Total Estimated Sophomore Attempted Vaginal-Penile Rapes'.
VARIABLE LABEL XATTEMP4_NUM 'Total Estimated Junior Attempted Vaginal-Penile Rapes'.
VARIABLE LABEL VAGINAL_PENILE_ATT_COMPL 'Total Estimated Pre-College Attempted and Completed Vaginal-Penile Rapes'.
VARIABLE LABEL VAGINAL_PENILE_ATT_COMPL2 'Total Estimated Freshman Attempted and Completed Vaginal-Penile Rapes'.
VARIABLE LABEL VAGINAL_PENILE_ATT_COMPL3 'Total Estimated Sophomore Attempted and Completed Vaginal-Penile Rapes'.
VARIABLE LABEL VAGINAL_PENILE_ATT_COMPL4 'Total Estimated Junior Attempted and Completed Vaginal-Penile Rapes'.


*** Creating variables with estimated total numbers of attempted and completed Penile-Vaginal Rapes (that version of 
      the Sexual Experiences Survey didn't collect data for attempted Other Rapes).
Recode XATTEMPT (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XATTEMPT_NUM.
Recode XATTEMP2 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6)  into XATTEMP2_NUM.
Recode XATTEMP3 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XATTEMP3_NUM.
Recode XATTEMP4 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XATTEMP4_NUM.

Compute VAGINAL_PENILE_ATT_COMPL = (XFORCESI_NUM + XATTEMPT_NUM).
Compute VAGINAL_PENILE_ATT_COMPL2 = (XFORCSI2_NUM + XATTEMP2_NUM).
Compute VAGINAL_PENILE_ATT_COMPL3 = (XFORCSI3_NUM + XATTEMP3_NUM).
Compute VAGINAL_PENILE_ATT_COMPL4 = (XFORCSI4_NUM + XATTEMP4_NUM).

FREQUENCIES
	/VARIABLES= ATTEMPT ATTEMPT2 ATTEMPT3 ATTEMPT4
	/FORMAT=AVALUE TABLE.
FREQUENCIES
	/VARIABLES= XATTEMPT_NUM XATTEMP2_NUM XATTEMP3_NUM XATTEMP4_NUM
	/FORMAT=AVALUE TABLE.

FREQUENCIES
	/VARIABLES= VAGINAL_PENILE_ATT_COMPL VAGINAL_PENILE_ATT_COMPL2 VAGINAL_PENILE_ATT_COMPL3 VAGINAL_PENILE_ATT_COMPL4
	/FORMAT=AVALUE TABLE.

*** Creating variables with estimated total numbers of attempted and completed Alcohol/Drug-Related Rape.
Recode XDRUGSI (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI_NUM.
Recode XDRUGSI2 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6)  into XDRUGSI2_NUM.
Recode XDRUGSI3 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI3_NUM.
Recode XDRUGSI4 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGSI4_NUM.

Recode XDRUGATT (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGATT_NUM.
Recode XDRUGAT2 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6)  into XDRUGAT2_NUM.
Recode XDRUGAT3 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGAT3_NUM.
Recode XDRUGAT4 (0=9999) (1=0) (2=1) (3=2) (4=3) (5=6) into XDRUGAT4_NUM.

Compute DRUG_ATT_COMPL = (XDRUGATT_NUM + XDRUGSI_NUM).
Compute DRUG_ATT_COMPL2 = (XDRUGAT2_NUM + XDRUGSI2_NUM).
Compute DRUG_ATT_COMPL3 = (XDRUGAT3_NUM + XDRUGSI3_NUM).
Compute DRUG_ATT_COMPL4 = (XDRUGAT4_NUM + XDRUGSI4_NUM).

FREQUENCIES
	/VARIABLES= DRUG_ATT_COMPL DRUG_ATT_COMPL2 DRUG_ATT_COMPL3 DRUG_ATT_COMPL4
	/FORMAT=AVALUE TABLE.


*** Frequencies for the form of rape they committed the most of -- that is, frequency estimate used when 
      assuming TOTAL overlap of different item responses (Swartout et al assumption).
COMPUTE RAPEMOST_PRECOLLEGE=MAX(XFORCESI_NUM,XSEXACTS_NUM,XDRUGSI_NUM).
COMPUTE RAPEMOST_FRESHMAN=MAX(XFORCSI2_NUM,XSEXACT2_NUM,XDRUGSI2_NUM).
COMPUTE RAPEMOST_SOPHOMORE=MAX(XFORCSI3_NUM,XSEXACT3_NUM,XDRUGSI3_NUM).
COMPUTE RAPEMOST_JUNIOR=MAX(XFORCSI4_NUM,XSEXACT4_NUM,XDRUGSI4_NUM).

FREQUENCIES
	/VARIABLES= RAPEMOST_PRECOLLEGE RAPEMOST_FRESHMAN RAPEMOST_SOPHOMORE RAPEMOST_JUNIOR
	/FORMAT=AVALUE TABLE.


**** Frequencies rape of assuming NO overlap -- that is, just adding up the total estimated numbers reported across all rape items.
COMPUTE TOTRAPE_PRECOLLEGE=SUM(XFORCESI_NUM,XSEXACTS_NUM,XDRUGSI_NUM).
COMPUTE TOTRAPE_FRESHMAN=SUM(XFORCSI2_NUM,XSEXACT2_NUM,XDRUGSI2_NUM).
COMPUTE TOTRAPE_SOPHOMORE=SUM(XFORCSI3_NUM,XSEXACT3_NUM,XDRUGSI3_NUM).
COMPUTE TOTRAPE_JUNIOR=SUM(XFORCSI4_NUM,XSEXACT4_NUM,XDRUGSI4_NUM).

FREQUENCIES
	/VARIABLES= TOTRAPE_PRECOLLEGE TOTRAPE_FRESHMAN TOTRAPE_SOPHOMORE TOTRAPE_JUNIOR
	/FORMAT=AVALUE TABLE.


*** Frequency of the form of rape they committed + attempted the most of -- that is, assuming TOTAL / 100% overlap.
COMPUTE RAPEMOST_ATTCOMP_PRECOLLEGE=MAX(VAGINAL_PENILE_ATT_COMPL,XSEXACTS_NUM,DRUG_ATT_COMPL).
COMPUTE RAPEMOST_ATTCOMP_FRESHMAN=MAX(VAGINAL_PENILE_ATT_COMPL2,XSEXACT2_NUM,DRUG_ATT_COMPL2).
COMPUTE RAPEMOST_ATTCOMP_SOPHOMORE=MAX(VAGINAL_PENILE_ATT_COMPL3,XSEXACT3_NUM,DRUG_ATT_COMPL3).
COMPUTE RAPEMOST_ATTCOMP_JUNIOR=MAX(VAGINAL_PENILE_ATT_COMPL4,XSEXACT4_NUM,DRUG_ATT_COMPL4).

FREQUENCIES
	/VARIABLES= RAPEMOST_ATTCOMP_PRECOLLEGE RAPEMOST_ATTCOMP_FRESHMAN RAPEMOST_ATTCOMP_SOPHOMORE RAPEMOST_ATTCOMP_JUNIOR
	/FORMAT=AVALUE TABLE.

**** Frequencies they committed + attempted assuming NO overlap.
COMPUTE TOTRAPE_ATTCOMP_PRECOLLEGE=SUM(VAGINAL_PENILE_ATT_COMPL,XSEXACTS_NUM,DRUG_ATT_COMPL).
COMPUTE TOTRAPE_ATTCOMP_FRESHMAN=SUM(VAGINAL_PENILE_ATT_COMPL2,XSEXACT2_NUM,DRUG_ATT_COMPL2).
COMPUTE TOTRAPE_ATTCOMP_SOPHOMORE=SUM(VAGINAL_PENILE_ATT_COMPL3,XSEXACT3_NUM,DRUG_ATT_COMPL3).
COMPUTE TOTRAPE_ATTCOMP_JUNIOR=SUM(VAGINAL_PENILE_ATT_COMPL4,XSEXACT4_NUM,DRUG_ATT_COMPL4).

FREQUENCIES
	/VARIABLES= TOTRAPE_ATTCOMP_PRECOLLEGE TOTRAPE_ATTCOMP_FRESHMAN TOTRAPE_ATTCOMP_SOPHOMORE TOTRAPE_ATTCOMP_JUNIOR
	/FORMAT=AVALUE TABLE.

*** FROM THE FRQUENCY TABLES PRODUCED BY THE FREQUENCY ANALYSES ABOVE, ONE CAN SIMPLY DETERMINE (1) THE PERCENTAGE OF RAPISTS 
      WHO COMMITTED MORE THAN ONE RAPE AND (2) THE PERCENTAGE OF RAPES COMMITTED MORE THAN ONE RAPE, AS I DID FOR MY PRESENTATION.